Bug 12190 - REGRESSION: Placeholder text does not reflect dynamic updates
Summary: REGRESSION: Placeholder text does not reflect dynamic updates
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Darin Adler
URL: http://www.apple.com/itunes/ads/
Keywords: HasReduction, Regression
Depends on:
Blocks:
 
Reported: 2007-01-09 22:18 PST by Matt Lilek
Modified: 2007-01-15 21:01 PST (History)
1 user (show)

See Also:


Attachments
Reduction (244 bytes, text/html)
2007-01-09 22:20 PST, Matt Lilek
no flags Details
patch with change log (17.99 KB, patch)
2007-01-11 08:54 PST, Darin Adler
aroben: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Lilek 2007-01-09 22:18:48 PST
If you set a form element's placeholder text via javascript, the update does not take effect on ToT until after it's focused while shipping Safari updates it immediately as expected.
Comment 1 Matt Lilek 2007-01-09 22:20:31 PST
Created attachment 12340 [details]
Reduction
Comment 2 Darin Adler 2007-01-11 07:38:46 PST
I have a fix.
Comment 3 Darin Adler 2007-01-11 08:54:00 PST
Created attachment 12363 [details]
patch with change log
Comment 4 Adam Roben (:aroben) 2007-01-11 09:45:53 PST
Comment on attachment 12363 [details]
patch with change log

+        if (!wasDirty)
+            document()->frame()->textFieldDidBeginEditing(input);
+        document()->frame()->textDidChangeInTextField(input);

   Do you need to null-check document() and/or frame() here?

r=me
Comment 5 Darin Adler 2007-01-15 20:11:09 PST
(In reply to comment #4)
>    Do you need to null-check document() and/or frame() here?

No on document(), yes on frame().
Comment 6 Darin Adler 2007-01-15 21:01:32 PST
Committed revision 18877.